# Uses of Interface
org.eclipse.draw2d.AnchorListener

Packages that use AnchorListener
Package
Description
org.eclipse.draw2d
Primary package containing general interfaces and implementation classes.

## Uses of AnchorListener in org.eclipse.draw2d

Classes in org.eclipse.draw2d that implement AnchorListener
Modifier and Type
Class
Description
`class`
`PolylineConnection`
An implementation of `Connection` based on Polyline.
Fields in org.eclipse.draw2d with type parameters of type AnchorListener
Modifier and Type
Field
Description
`protected List<AnchorListener>`
ConnectionAnchorBase.`listeners`
The list of listeners
Methods in org.eclipse.draw2d with parameters of type AnchorListener
Modifier and Type
Method
Description
`void`
AbstractConnectionAnchor.`addAnchorListener(AnchorListener listener)`
Adds the given listener to the listeners to be notified of anchor location changes.
`void`
ConnectionAnchor.`addAnchorListener(AnchorListener listener)`
Adds a listener interested in the movement of this ConnectionAnchor.
`void`
ConnectionAnchorBase.`addAnchorListener(AnchorListener listener)`
`void`
AbstractConnectionAnchor.`removeAnchorListener(AnchorListener listener)`
Removes the given listener from this anchor.
`void`
ConnectionAnchor.`removeAnchorListener(AnchorListener listener)`
Removes the listener.
`void`
ConnectionAnchorBase.`removeAnchorListener(AnchorListener listener)`